#Copyright disclaimer:
#       Copyright (C) 2015,  ITHierarchy Inc (www.ithierarchy.com). ALl rights reserverd.
#       This program is free software: you can redistribute it and/or modify
#       it under the terms of the GNU General Public License as published by
#       the Free Software Foundation, either version 3 of the License, or
#       (at your option) any later version.
#
#       This program is distributed in the hope that it will be useful,
#       but WITHOUT ANY WARRANTY; without even the implied warranty of
#       MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#       GNU General Public License for more details.
#
#       You should have received a copy of the GNU General Public License
#       along with this program.  If not, see <http://www.gnu.org/licenses/>.

#!/bin/bash
interactive=
destination=
source=

while getopts s:d: opt

do
    
    case "$opt" in
        s)     source=$OPTARG
                                ;;
        d)     destination=$OPTARG;;
    esac
done

asource="${source#*:}"
ssource="${asource#*:}"

echo "Source=Slot: $ssource"
echo "Destination=Slot: $destination"

#service bacula-sd stop
mtx -f /dev/changer transfer ${ssource} $destination
#service bacula-sd start
sh /etc/bacula/scripts/bconsolescriptList.sh 
